DELETE /actions/tasks/{task_id}/time-spents/{date}/persons/{person_id}

Path parameters

  • task_id string(uuid) Required
  • date string(date) Required
  • person_id string(uuid) Required

Responses

  • 201 application/json

    Time spent removed for the person on the task

    Hide response attributes Show response attributes object
    • id string(uuid)
    • task_id string(uuid)
    • person_id string(uuid)
    • date string(date)
    • duration number
    • created_at string(date-time)
  • 400

    Invalid parameters

DELETE /actions/tasks/{task_id}/time-spents/{date}/persons/{person_id}
curl -X DELETE "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/2022-07-12/persons/a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/2022-07-12/persons/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.delete(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request DELETE 'http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/2022-07-12/persons/a24a6ea4-ce75-4665-a070-57453082c25' \
 --header "Authorization: $API_KEY"
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "task_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "person_id": "c24a6ea4-ce75-4665-a070-57453082c25",
  "date": "2022-07-12",
  "duration": 0,
  "created_at": "2024-01-15T10:30:00Z"
}